Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 869228 - Review Request: photo - Simple, yet powerful and good looking image viewer
Summary: Review Request: photo - Simple, yet powerful and good looking image viewer
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: NotReady
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-10-23 10:45 UTC by Onuralp SEZER
Modified: 2015-07-21 12:28 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-18 23:53:19 UTC


Attachments (Terms of Use)

Description Onuralp SEZER 2012-10-23 10:45:25 UTC
Spec URL: <http://thunderbirdtr.fedorapeople.org/photo/photo0.8.spec>
SRPM URL: <http://thunderbirdtr.fedorapeople.org/photo/photo-0.8-1.0.src.rpm>
Description: <Photo Image Viewer>

Software Website : http://photoqt.co.cc/
License : GPL 

Hello; 

I'm not officially packager but I found a program Qt-based and I decided to add Fedora repository. Please check it. If I did something wrong place say it. 

Thank you 

Fedora Account System Username: thunderbirdtr

Comment 1 Volker Fröhlich 2012-10-23 20:36:41 UTC
Are you aware of the procedure for submitting packages to Fedora?

https://fedoraproject.org/wiki/Join_the_package_collection_maintainers

Comment 2 Volker Fröhlich 2012-10-23 20:38:44 UTC
There's a huge lot of things wrong in the specfile. Please go through the guidelines again:

http://fedoraproject.org/wiki/Packaging:Guidelines

and also

http://fedoraproject.org/wiki/Packaging:ScriptletSnippets

Comment 3 Onuralp SEZER 2012-10-23 20:55:50 UTC
I aware what I doing. Thank you for wrong part. I will read all and after that I will join to packager team and make new Spec and SRPM files and submit again to here.

Thank you

Comment 4 Michael Schwendt 2012-12-09 00:45:35 UTC
Agreeing with Volker. One further attempt at trying to review your own package, please.

A good entry-point are the Review Guidelines:
https://fedoraproject.org/wiki/Packaging:ReviewGuidelines

No immediate need to process all the items on that page, but it could be beneficial to comment on as many MUST/SHOULD items as are relevant with regard to your package.

And it would be a good opportunity to ask questions or point out whether there's something in the guidelines you don't agree with.
https://fedoraproject.org/wiki/Category:Package_Maintainers

Comment 5 Michael Schwendt 2012-12-09 00:47:34 UTC
> URL:            http://photoqt.co.cc/?
> Source0:        http://photoqt.co.cc/pkgs/photo-0.8.tar.gz          

Currently not reachable!
New location seems to be: http://photoqt.org

| Photo v0.8.1.2 - major bug fixed
| 9/11/2012 - by Lukas Spies

Comment 6 Volker Fröhlich 2013-05-06 06:43:10 UTC
Onuralp, any progress here?

Comment 7 Veaceslav Mindru 2013-07-29 22:50:02 UTC
Hello ONURALP SEZER ,

are you still interested to package this peace of software?  If yes we will have to rewrite the spec file and drop down some deprecated lines.


VM

Comment 8 Veaceslav Mindru 2013-07-29 22:58:12 UTC
A good thing to start with, is run rpmlint  on your specfile. 
if run with "-i" flag it will give more detailed info. 

[mindruv@localhost rpmbuild]$ rpmlint SPECS/photo0.8.spec
SPECS/photo0.8.spec:5: W: non-standard-group Design Suite
SPECS/photo0.8.spec: W: invalid-url Source0: http://photoqt.co.cc/pkgs/photo-0.8.tar.gz HTTP Error 504: Gateway Timeout
0 packages and 1 specfiles checked; 0 errors, 2 warnings.
[mindruv@localhost rpmbuild]$

i am not able to build your package from SRPM 

you are trying to include image.hpp and it's not present there.

[mindruv@localhost rpmbuild]$ grep image.hpp /home/mindruv/rpmbuild/BUILD/photo-0.8/exifdata.h
#include "exiv2/image.hpp"
[mindruv@localhost rpmbuild]$

It's not clear for me where from you are trying to include it. 


[mindruv@localhost rpmbuild]$ find ./ -name image.hpp
[mindruv@localhost rpmbuild]$ find BUILD -name image.hpp
[mindruv@localhost rpmbuild]$



[mindruv@localhost rpmbuild]$ rpmbuild -ba SPECS/photo0.8.spec
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.VX2aDV
+ umask 022
+ cd /home/mindruv/rpmbuild/BUILD
+ cd /home/mindruv/rpmbuild/BUILD
+ rm -rf photo-0.8
+ /usr/bin/gzip -dc /home/mindruv/rpmbuild/SOURCES/photo-0.8.tar.gz
+ /usr/bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd photo-0.8
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.xSmSGf
+ umask 022
+ cd /home/mindruv/rpmbuild/BUILD
+ cd photo-0.8
+ cd build/
+ cmake -DCMAKE_INSTALL_PREFIX=/usr ..
-- The C compiler identification is GNU 4.7.2
-- The CXX compiler identification is GNU 4.7.2
-- Check for working C compiler: /usr/lib64/ccache/cc
-- Check for working C compiler: /usr/lib64/ccache/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/lib64/ccache/c++
-- Check for working CXX compiler: /usr/lib64/ccache/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found
-- Found Qt4: /usr/bin/qmake-qt4 (found version "4.8.4")
-- Configuring done
-- Generating done
-- Build files have been written to: /home/mindruv/rpmbuild/BUILD/photo-0.8/build
+ make
[  1%] Generating qrc_resImg.cxx
[  3%] Generating moc_thbthread.cxx
[  4%] Generating moc_mainwindow.cxx
[  6%] Generating moc_thumbnail.cxx
[  7%] Generating moc_settings.cxx
[  9%] Generating moc_tabshortcuts.cxx
[ 10%] Generating moc_image.cxx
[ 12%] Generating moc_menuitem.cxx
[ 14%] Generating moc_menu.cxx
[ 15%] Generating moc_filehandling.cxx
[ 17%] Generating moc_tabinterface.cxx
[ 18%] Generating moc_tabthumbnail.cxx
[ 20%] Generating moc_exifdata.cxx
[ 21%] Generating moc_graphicsitem.cxx
[ 23%] Generating moc_about.cxx
[ 25%] Generating moc_tablang.cxx
[ 26%] Generating moc_tabexif.cxx
[ 28%] Generating moc_exifrotconfirm.cxx
[ 29%] Generating moc_openpixmapitem.cxx
[ 31%] Generating moc_opennav.cxx
[ 32%] Generating moc_open.cxx
[ 34%] Generating qrc_resLang.cxx
Scanning dependencies of target photo
[ 35%] Building CXX object CMakeFiles/photo.dir/main.cpp.o
In file included from /home/mindruv/rpmbuild/BUILD/photo-0.8/mainwindow.h:9:0,
                 from /home/mindruv/rpmbuild/BUILD/photo-0.8/main.cpp:3:
/home/mindruv/rpmbuild/BUILD/photo-0.8/exifdata.h:20:27: fatal error: exiv2/image.hpp: No such file or directory
compilation terminated.
make[2]: *** [CMakeFiles/photo.dir/main.cpp.o] Error 1
make[1]: *** [CMakeFiles/photo.dir/all] Error 2
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.xSmSGf (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.xSmSGf (%build)
[mindruv@localhost rpmbuild]$

Comment 9 Christopher Meng 2013-07-29 23:11:42 UTC
Veaceslav, please try review some new tickets if you want to become a packager, this one has been marked as dead, you shouldn't care too much about it.

Comment 10 Miro Hrončok 2014-01-03 10:47:39 UTC
(sorry a mistake)

Comment 11 Volker Fröhlich 2014-01-18 23:53:19 UTC
No response for ages. Re-open if necessary!


Note You need to log in before you can comment on or make changes to this bug.